Problème à l'installation dans wifidog rev. 1250 (programmation)

Wad -M- golden_rock at hotmail.com
Ven 20 Juil 13:10:36 EDT 2007


Bonjour tout le monde,

Je suis en train d'installer la plus récente version de wifidog, et 
l'installation meurt au moment d'installer les schémas de la base de 
données.

Voici l'erreur, c'est un problème de syntaxe:

Warning: pg_query() [function.pg-query]: Query failed: ERROR: syntax error 
at or near ";" at character 727 in 
/var/www/wifidog-auth/w2/wifidog-auth/wifidog/install.php on line 981
ERROR: syntax error at or near ";" at character 727 <=

J'ai installé plusieurs wifidog plusieurs fois avant, et c'est la première 
fois que ça arrive.

Avec trac, j'ai remarqué que les fichiers wifidog-postgres-schema.sql et 
wifidog-postgres-initial-data.sql (le contenu initial de la base de données) 
on changé il y a une semaine (je suis mal tombé!)

Cette erreur est dans la révision 1250. Je vais donc installer la révision 
1176, qui est la révision qui contiens la prévious version des fichiers de 
contenu initial de la base de donnée, avant le changement d'il y a une 
semaine.

Pour ceux qui en ont besoin, j'ai utilisé la commande suivante pour ce 
faire:

   svn checkout -r 1176 https://dev.wifidog.org/svn/trunk/wifidog-auth

Wadih M.




Plus d'informations sur la liste de diffusion WiFiDog